/*
 * Class TRAVERSABLE [INTEGER_64]
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_1826 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_1826 [] = {0xFF01,1551,1825,848,0xFFFF};
static const EIF_TYPE_INDEX egt_2_1826 [] = {0xFF01,1825,848,0xFFFF};
static const EIF_TYPE_INDEX egt_3_1826 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_1826 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_1826 [] = {0xFF01,1825,848,0xFFFF};
static const EIF_TYPE_INDEX egt_6_1826 [] = {0xFF01,1825,848,0xFFFF};
static const EIF_TYPE_INDEX egt_7_1826 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_1826 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_1826 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_1826 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_1826 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_1826 [] = {1825,848,0xFFFF};
static const EIF_TYPE_INDEX egt_13_1826 [] = {0xFF01,1825,848,0xFFFF};
static const EIF_TYPE_INDEX egt_14_1826 [] = {0xFF01,1824,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_15_1826 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_16_1826 [] = {0xFFF8,1,0xFFFF};


static const struct desc_info desc_1826[] = {
	{EIF_GENERIC(NULL), 8708, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_1826), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_1826), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_1826), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_1826), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_1826), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_1826), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_1826), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_1826), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_1826), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_1826), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_1826), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_1826), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_1826), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_1826), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8633, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8634, 0},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8635, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8636, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8637, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_1826), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_1826), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_16_1826), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8709, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8710, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8711, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8712, 0xFFFFFFFF},
};
void Init1826(void)
{
	IDSC(desc_1826, 0, 1825);
	IDSC(desc_1826 + 1, 1, 1825);
	IDSC(desc_1826 + 32, 1134, 1825);
	IDSC(desc_1826 + 41, 1534, 1825);
}


#ifdef __cplusplus
}
#endif
